#!/bin/sh
# ..................
# Output hohlen
out="/dev/null"
if grep -q 'ttyS0' /var/tuxbox/boot/boot.conf; then
	out="/dev/console"
fi

DELTIME=15

KEY="6"
if grep -q 'mainmenu.upnpbrowser' /share/tuxbox/neutrino/locale/deutsch.locale ; then
	KEY="8"
fi

kill_script() {
  echo "TimeOut von $SCRIPT_TIMEOUT Sekunden ueberschritten!" > $out
  echo "$getupdurl" > $out
  echo "$startupdurl" > $out
  killall wget
}

timeOut() {
  sleep $SCRIPT_TIMEOUT && kill_script&
}

PFADURL="/var/tuxbox/config/update.url"

# hohle URL zum Board
ERSATZ=`grep -n "^ERSATZ=" "$PFADURL" | cut -f 2 -d ' '`
URLDIR7=`grep -n "^URLDIR7" $PFADURL | cut -f 2 -d ' '`
[ -z "$URLDIR7" ] && URLDIR7="http://glj.6x.to"
redir1=$URLDIR7

checkmd5 ()
{
	dd if=$MD5 of=/tmp/check bs=1024 skip=1 count=4 >/dev/null
	checksum=`/bin/busybox md5sum /tmp/check | cut -f 1 -d" "`
	rm -f /tmp/check
}

updateurl ()
{
	PFADURL1="/tmp"
	[ ! -e /tmp/update.url ] && PFADURL1="/var/tuxbox/config"
	if `find "$PFADURL1"/update.url -mmin +$DELTIME | grep -q "update.url"` || [ ! -e $PFADURL ] ;then
		SCRIPT_TIMEOUT=7
		getupdurl="Update.url konnte nicht geladen werden"
		startupdurl="Starte Update ueber vorhandene Update.url"
		timeOut
		url="gljplugin1.mine.nu"
		wget -O /tmp/update.url -q "http://"$url"/subdir/update.url"
		xsleep 500000
		if ! grep -q 'GLJ-Team' /tmp/update.url ; then
			kill $!
			timeOut
			wget -O /tmp/epg.new -q "$redir1"
			url=`parsurl | cut -f 3 -d"/"`
			rm -f /tmp/epg.tmp /tmp/epg.new
			wget -O /tmp/update.url -q "http://"$url"/subdir/update.url"
			xsleep 500000
		fi
		if grep -q 'GLJ-Team' /tmp/update.url ; then
			kill $!
			MD5=/tmp/update.url
			checkmd5
			checksum1=$checksum
			MD5=$PFADURL
			checkmd5
			[ ! "$checksum" = "$checksum1" ] && cp -r /tmp/update.url $PFADURL
			xsleep 500000
		fi
	fi
	# hohle Camd und Key Update URL
	URLDIR8=`grep -n "^URLDIR8" "$PFADURL" | cut -f 2 -d ' '`
	ERSATZ1=`grep -n "^ERSATZ1" "$PFADURL" | cut -f 2 -d ' '`

	# hohle Plugin Update URL
	URLDIR9=`grep -n "^URLDIR9" "$PFADURL" | cut -f 2 -d ' '`
	ERSATZ2=`grep -n "^ERSATZ2" "$PFADURL" | cut -f 2 -d ' '`

	redir2=$URLDIR8
	redir3=$URLDIR9
}

CheckInternet ()
{
	echo '#!/bin/sh' >/tmp/killping
	echo 'xsleep 500000' >>/tmp/killping
	echo 'pid=`pidof ping`' >>/tmp/killping
	echo 'if [ "$pid" != "" ]' >>/tmp/killping
	echo 'then' >>/tmp/killping
 	echo 'xsleep 1500000' >>/tmp/killping
 	echo 'if [ "$pid" == "`pidof ping`" ]' >>/tmp/killping
 	echo 'then' >>/tmp/killping
 	echo 'kill -9 $pid' >>/tmp/killping
 	echo 'fi' >>/tmp/killping
	echo 'fi' >>/tmp/killping
	chmod 755 /tmp/killping
	/tmp/killping &
	inet=`ping -c 1 www.google.com | grep "1 packets received"`
	if [ "$inet" = "" ]
	then
		/tmp/killping &
		inet=`ping -c 1 www.yahoo.com | grep "1 packets received"`
	fi
	rm -f /tmp/killping
	echo $inet
}
DoUpdate ()
{
	GotoMenu
	cd /tmp/gljupdate
  chmod 755 /tmp/gljupdate/update
 	/tmp/gljupdate/update > $out
  rm -f /tmp/glj-settings.tar
  rm -r -f /tmp/gljupdate
  if ! test -f /tmp/.wiupdateinfo
  then
    cat "/share/tuxbox/neutrino/httpd/GLJ-Updateok.htm"
  else
    nfonr=`cat /tmp/.wiupdateinfo`
    rm -f /tmp/.wiupdateinfo
    cat "/share/tuxbox/neutrino/httpd/GLJ-Updatemld$nfonr.htm"
  fi
  [ -e /tmp/.killshellexec ] && rm /tmp/.killshellexec
  [ -e /tmp/.reloadplg ] && rm /tmp/.reloadplg
}
getconfparm()
{
  local param=`glj_save -r /var/tuxbox/config/neutrino.conf "$1"`
  echo $param
}
getotherparm()
{
  local param=`glj_save -r $1 "$2"`
  echo $param
}
setconfparm()
{
  local param=`glj_save -s /var/tuxbox/config/neutrino.conf "$1"`
}
setotherparm()
{
  local param=`glj_save -s $1 "$2"`
}
getnrmparm()
{
  local param="0"
  if [ -e /var/etc/$1 ]
  then
    param="1"
  fi
  echo $param
}
makereturl ()
{
  local param=""
  param="<html><head>"
  param=$param"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=windows-1252\">"
#  param=$param"<META HTTP-EQUIV=\"refresh\" CONTENT=\"1;URL='$1'\">"
  param=$param"<script language=\"JavaScript\" type=\"text/javascript\" >function GetPage(){ document.location.href = \"$1\"; } function reloadpage(){ window.setTimeout(\"GetPage()\",100); }</script>"
  param=$param"</head><body onload=reloadpage()></body></html>"
#  param=$param"</head><body></body></html>"
  echo $param
}
makereturl1 ()
{
  local param=""
  param="<html><head>"
  param=$param"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=windows-1252\">"
  param=$param"<META HTTP-EQUIV=\"refresh\" CONTENT=\"1;URL='$1'\">"
  param=$param"<script language=\"JavaScript\" type=\"text/javascript\" >function GetPage(){ document.location.href = \"$2\"; } function reloadpage(){ window.setTimeout(\"GetPage()\",2500); }</script>"
  param=$param"</head><body onload=reloadpage()></body></html>"
  echo $param
}
setbootoption ()
{
	if [ $1 -eq 0 ]
  then
    touch /var/etc/$2 >$out
  else
    rm -f /var/etc/$2 >$out
  fi
}
setdivoption ()
{
  if [ "$1" = "1" ]
  then
    touch /var/etc/$2 >$out
  else
    rm -f /var/etc/$2 >$out
  fi

}
StopStreaming ()
{
  if ( test -f /tmp/.wistream* || test -f /tmp/.rclocked )
  then
    killall -9 streamts
    killall -9 udpstreamts
    killall -9 streampes
    rm -f /tmp/.wistream*
    sleep 3
  fi

	AktPlayMode=`wget -O - -q http://127.0.0.1/control/getmode | grep tv`
	if [ "$AktPlayMode" = "" ]
	then
		AktPlayMode=`wget -O - -q http://127.0.0.1/control/setmode?tv`
	fi

}
GotoMenu ()
{
  if test -f /tmp/.standby
  then
    wget -O - -q http://127.0.0.1/control/standby?off >/dev/null
    sleep 2
  fi
  StopStreaming
	while [ 1 ]
	do
		dboxshot -r -o /tmp/check.bmp
		size1=`ls -la /tmp/check.bmp | sed -e 's/ [ ]*/ /g' | cut -d ' ' -f 5`
		rm -f /tmp/check.bmp
		if [ $size1 -gt 7000 ]
		then
			xsleep 100000
  		rcsim KEY_HOME >/dev/null
		else
			break
		fi
	done
}
#----------- Neutrino Restart ---------------
restart_neutrino ()
{
	GotoMenu
  local pin=`glj_save -r /var/tuxbox/config/neutrino.conf "parentallock_prompt"`
  if [ $1 ]
  then
    pin=$1
  fi
  local pinnr=`glj_save -r /var/tuxbox/config/neutrino.conf "parentallock_pincode"`
  if [ $pin != "0" ]
  then
    rcsim KEY_SETUP >/dev/null
		xsleep 100000
    rcsim KEY_$KEY >/dev/null
		xsleep 100000
    local p1=`echo $pinnr | cut -b 1`
    local p2=`echo $pinnr | cut -b 2`
    local p3=`echo $pinnr | cut -b 3`
    local p4=`echo $pinnr | cut -b 4`
    rcsim KEY_$p1 >/dev/null
		xsleep 100000
    rcsim KEY_$p2 >/dev/null
		xsleep 100000
    rcsim KEY_$p3 >/dev/null
		xsleep 100000
    rcsim KEY_$p4 >/dev/null
		xsleep 100000
    rcsim KEY_3 >/dev/null
		xsleep 500000
  else
    rcsim KEY_SETUP >/dev/null
		xsleep 500000
    rcsim KEY_$KEY >/dev/null
		xsleep 500000
    rcsim KEY_3 >/dev/null
		xsleep 500000
  fi
}
#----------- Plugins neu laden ---------------
reload_plugins ()
{
	kill -SIGINT `cat /tmp/.neutrino.pid`
}
makeflashpage ()
{
  cat /proc/mtd >/tmp/part.table

  local part="0"
  local out=""
  local line=""
  local sstr=""
  while [ 1 ]
  do
    sstr="mtd$part"
    line=`sed -n /mtd$part/p /tmp/part.table`
    if [ "$line" != "" ]
    then
      if [ "$part" = "0" ]
      then
        out="$out <tr><td class=\"axx\" nowrap><INPUT type=\"radio\" name=\"part\" value=\"$part\" checked> $line</td></tr>"
      else
        out="$out <tr><td class=\"axx\" nowrap><INPUT type=\"radio\" name=\"part\" value=\"$part\"> $line</td></tr>"
      fi
    else
      rm -f /tmp/part.table
      echo $out
      break
    fi
    part=`expr "$part" + "1"`
  done

}
setsambabutton()
{
	plist=`ps aux`
	stat=`echo "$plist" | grep smbd`
	rm -f /share/tuxbox/neutrino/httpd/images/samba.gif
	if test -f /bin/smbd || test -f /mmc/image/bin/smbd || test -f /hdd/image/bin/smbd
	then
		if [ "$stat" = "" ]
		then
			ln -s /share/tuxbox/neutrino/httpd/images/samba_starten.gif /share/tuxbox/neutrino/httpd/images/samba.gif
		else
			ln -s /share/tuxbox/neutrino/httpd/images/samba_stoppen.gif /share/tuxbox/neutrino/httpd/images/samba.gif
		fi
	else
		ln -s /share/tuxbox/neutrino/httpd/images/samba_na.gif /share/tuxbox/neutrino/httpd/images/samba.gif
	fi

}
#-------------------------------

		case "$1" in
      lstb)
          aktb=`wget -O - -q http://127.0.0.1/control/getbouquet?actual`
          aktlst=`wget -O - -q http://127.0.0.1/fb/channellist.dbox2?bouquet=$aktb#akt`
          echo $aktlst
          exit 0 ;;
      rc)
          rcsim "$2" >/dev/null
          echo `cat /share/tuxbox/neutrino/httpd/GLJ-RC.htm`
          exit 0 ;;
      rrc)
          rcsim "$2" >/dev/null
          echo `cat /share/tuxbox/neutrino/httpd/GLJ_Remote-RCEX.htm`
          exit 0 ;;
      rrc1)
          rcsim "$2" >/dev/null
          echo `cat /share/tuxbox/neutrino/httpd/GLJ_Remote-RC.htm`
          exit 0 ;;
      rrcrld)
          rm -f /share/tuxbox/neutrino/httpd/images/f*.bmp
          d=`date +%s`
          dboxshot -r -o /tmp/fbsh.bmp >/dev/null
          ln -s /var/tmp/fbsh.bmp /share/tuxbox/neutrino/httpd/images/f$d.bmp
          echo "/images/f$d.bmp"
          exit 0 ;;
      rcctrl)
          rcsim "$2" >/dev/null
          exit 0 ;;
      rcrmv)
          touch /tmp/.snapremove
          exit 0 ;;
      fbsh_bmp)
          dboxshot -r -o /tmp/fbsh.bmp >/dev/null
          echo `cat /share/tuxbox/neutrino/httpd/GLJ-FBInhaltBMP.htm`
          exit 0 ;;
      fbsh_png)
          fbshot -q /tmp/fbsh.png >/dev/null
          echo `cat /share/tuxbox/neutrino/httpd/GLJ-FBInhaltPNG.htm`
          exit 0 ;;
      removefbsh)
          touch /tmp/.snapremove
          exit 0 ;;
      gljtool)
          wget -O /dev/null -q http://127.0.0.1"$2" 2>&1 >/dev/null
          echo `cat /share/tuxbox/neutrino/httpd/"$3"`
          exit 0 ;;
      tvradio_glj)
          StopStreaming
          wget -O /dev/null -q http://127.0.0.1"$2" 2>&1 >/dev/null
          echo `cat /share/tuxbox/neutrino/httpd/"$3"`
          exit 0 ;;
      epgreset)
          killall -9 sectionsd >/dev/null
          sleep 1
          /bin/sectionsd >/dev/null
          echo `cat /share/tuxbox/neutrino/httpd/"$2"`
          exit 0 ;;
      shutdown)
          echo `cat /share/tuxbox/neutrino/httpd/"$2"`
          touch /tmp/.wi_halt
          sleep 1 && touch /tmp/.wireboot &
          exit 0 ;;
      reboot)
          echo `cat /share/tuxbox/neutrino/httpd/"$2"`
          touch /tmp/.wi_reboot
          sleep 1 && touch /tmp/.wireboot &
          exit 0 ;;
      standby_glj)
          if test -f /tmp/.standby
          then
            wget -O - -q http://127.0.0.1/control/standby?off >/dev/null
          else
            wget -O - -q http://127.0.0.1/control/standby?on >/dev/null
          fi
          cat /share/tuxbox/neutrino/httpd/$2
          exit 0 ;;
      emureset)
          touch /tmp/.reset
          /var/plugins/emuoptions >/dev/null
          echo `cat /share/tuxbox/neutrino/httpd/"$2"`
          exit 0 ;;
      msg)
          msgtype="popup"
          if [ "$2" != "typ1" ]
          then
            msgtype="nmsg"
          fi

          msg=`echo $3 | sed "s/~/+/g;"`
          msgurl="http://127.0.0.1/control/message?$msgtype=$msg"
          wget -O /dev/null -q $msgurl
          echo `cat /share/tuxbox/neutrino/httpd/"$4"`
          exit 0 ;;

      getcastatflsh)
          getca a
          exit 0 ;;

      saveboot_neutrino)
        setconfparm "misc_spts=$2" >$out
        setbootoption $3 ".neutrino"
        if [ $4 -eq 0 ]
        then
          setbootoption 1 ".boot_info"
        else
          setbootoption 0 ".boot_info"
        fi
        setbootoption $5 ".hw_sections"
        setbootoption $6 ".no_watchdog"
        setbootoption $7 ".no_enxwatchdog"
				setbootoption $8 ".gettime"
				setbootoption $9 ".no_sound"


        if [ $10 -eq 0 ]
        then
          setbootoption 1 ".pmt_update"
        else
          setbootoption 0 ".pmt_update"
        fi
				savetype="$12"
        if [ "$11" != "Nur" ]
				then
					setbootoption $11 ".startsamba"
				else
					savetype="$11"
				fi
        misc_spts=`getconfparm "misc_spts"`
        bootmenu=`getnrmparm ".neutrino"`
        bootinfo=`getnrmparm ".boot_info"`
        hw_sec=`getnrmparm ".hw_sections"`
        no_watchdog=`getnrmparm ".no_watchdog"`
        no_enxwatchdog=`getnrmparm ".no_enxwatchdog"`
        pmt_update=`getnrmparm ".pmt_update"`
				gljsounds=`getnrmparm ".no_sound"`
				gljizeit=`getnrmparm ".gettime"`
				samba="3"
				if test -f /bin/smbd || test -f /mmc/image/bin/smbd || test -f /hdd/image/bin/smbd
				then
					samba=`getnrmparm ".startsamba"`
				fi

        out=`makereturl "/GLJ-bootoptionen1.htm?misc_spts=$misc_spts&bootmenu=$bootmenu&bootinfo=$bootinfo&hw_sec=$hw_sec&no_watchdog=$no_watchdog&no_enxwatchdog=$no_enxwatchdog&pmt_update=$pmt_update&samba=$samba&gljizeit=$gljizeit&gljsounds=$gljsounds""`
        echo $out
        if [ "$savetype" != "Nur" ]
        then
          restart_neutrino
        fi
        exit 0 ;;


      getboot_neutrino)
        misc_spts=`getconfparm "misc_spts"`
        bootmenu=`getnrmparm ".neutrino"`
        bootinfo=`getnrmparm ".boot_info"`
        hw_sec=`getnrmparm ".hw_sections"`
        no_watchdog=`getnrmparm ".no_watchdog"`
        no_enxwatchdog=`getnrmparm ".no_enxwatchdog"`
        pmt_update=`getnrmparm ".pmt_update"`
				gljsounds=`getnrmparm ".no_sound"`
				gljizeit=`getnrmparm ".gettime"`
				samba="3"
				if test -f /bin/smbd || test -f /mmc/image/bin/smbd || test -f /hdd/image/bin/smbd
				then
					samba=`getnrmparm ".startsamba"`
				fi
				out=`makereturl "$2?misc_spts=$misc_spts&bootmenu=$bootmenu&bootinfo=$bootinfo&hw_sec=$hw_sec&no_watchdog=$no_watchdog&no_enxwatchdog=$no_enxwatchdog&pmt_update=$pmt_update&samba=$samba&gljizeit=$gljizeit&gljsounds=$gljsounds"`
        echo $out
        exit 0 ;;

      getboot_glj)
        fixchan=`getconfparm "fixchannel"`
				autom=`getnrmparm ".automount"`
        fixtv=`getconfparm "fixchannelnumber_tv"`
        fixradio=`getconfparm "fixchannelnumber_radio"`
        out=`makereturl "$2?fixchan=$fixchan&autom=$autom&fixtv=$fixtv&fixradio=$fixradio"`
        echo $out
        exit 0 ;;

      saveboot_glj)
        setconfparm "fixchannel=$2" >$out
				setdivoption "$3" ".automount"
				if [ "$3" = "0" ]
				then
					setconfparm "am_choice=false"
				else
					setconfparm "am_choice=true"
				fi
        setconfparm "fixchannelnumber_tv=$4" >$out
        setconfparm "fixchannelnumber_radio=$5" >$out
        fixchan=`getconfparm "fixchannel"`
				autom=`getnrmparm ".automount"`
        fixtv=`getconfparm "fixchannelnumber_tv"`
        fixradio=`getconfparm "fixchannelnumber_radio"`
        out=`makereturl "/GLJ-bootoptionen2.htm?fixchan=$fixchan&autom=$autom&fixtv=$fixtv&fixradio=$fixradio"`
        echo $out
        if [ "$6" != "Nur" ]
        then
          restart_neutrino
        fi
        exit 0 ;;

      getmplayer_glj)
        audiorate=`getconfparm "streaming_audiorate"`
        raw=`getconfparm "streaming_force_avi_rawaudio"`
        transcodevideo=`getconfparm "streaming_force_transcode_video"`
        resu=`getconfparm "streaming_resolution"`
        cddrive=`getconfparm "streaming_server_cddrive"`
        srvip=`getconfparm "streaming_server_ip"`
        srvport=`getconfparm "streaming_server_port"`
        srvdir=`getconfparm "streaming_server_startdir"`
        transcodeaudio=`getconfparm "streaming_transcode_audio"`
        codec=`getconfparm "streaming_transcode_video_codec"`
        onoff=`getconfparm "streaming_type"`
        bitrate=`getconfparm "streaming_videorate"`
        moviedir=`getconfparm "network_nfs_moviedir"`

        out=`makereturl "$2?audiorate=$audiorate&raw=$raw&transcodevideo=$transcodevideo&resu=$resu&cddrive=$cddrive&srvip=$srvip&srvport=$srvport&srvdir=$srvdir&transcodeaudio=$transcodeaudio&codec=$codec&onoff=$onoff&bitrate=$bitrate&moviedir=$moviedir"`
        echo $out
        exit 0 ;;

      savemplayer_glj)
        setconfparm "streaming_type=$2"
        restartneutrino="$3"
        if [ "$2" != "0" ]
        then
          setconfparm "streaming_server_ip=$3"
          setconfparm "streaming_server_port=$4"
          setconfparm "streaming_server_cddrive=$5"
          setconfparm "streaming_server_startdir=$6"
          setconfparm "streaming_videorate=$7"
          setconfparm "streaming_force_transcode_video=$8"
          setconfparm "streaming_transcode_video_codec=$9"
          setconfparm "streaming_resolution=$10"
          setconfparm "streaming_audiorate=$11"
          setconfparm "streaming_transcode_audio=$12"
          setconfparm "streaming_force_avi_rawaudio=$13"
          if [ "$14" != "nicht#angegeben" ]
          then
            setconfparm "network_nfs_moviedir=$14"
          fi
          restartneutrino="$15"
        fi

        audiorate=`getconfparm "streaming_audiorate"`
        raw=`getconfparm "streaming_force_avi_rawaudio"`
        transcodevideo=`getconfparm "streaming_force_transcode_video"`
        resu=`getconfparm "streaming_resolution"`
        cddrive=`getconfparm "streaming_server_cddrive"`
        srvip=`getconfparm "streaming_server_ip"`
        srvport=`getconfparm "streaming_server_port"`
        srvdir=`getconfparm "streaming_server_startdir"`
        transcodeaudio=`getconfparm "streaming_transcode_audio"`
        codec=`getconfparm "streaming_transcode_video_codec"`
        onoff=`getconfparm "streaming_type"`
        bitrate=`getconfparm "streaming_videorate"`
        moviedir=`getconfparm "network_nfs_moviedir"`

        out=`makereturl "/GLJ-Mplayeroptionen.htm?audiorate=$audiorate&raw=$raw&transcodevideo=$transcodevideo&resu=$resu&cddrive=$cddrive&srvip=$srvip&srvport=$srvport&srvdir=$srvdir&transcodeaudio=$transcodeaudio&codec=$codec&onoff=$onoff&bitrate=$bitrate&moviedir=$moviedir"`
        echo $out
        if [ "$restartneutrino" != "Nur" ]
        then
          restart_neutrino
        fi
        exit 0 ;;


      getrecord_glj)

        rec_type=`getconfparm "recording_type"`
        rec_ip=`getconfparm "recording_server_ip"`
        rec_port=`getconfparm "recording_server_port"`
        rec_wakeup=`getconfparm "recording_server_wakeup"`
        rec_mac=`getconfparm "recording_server_mac"`
        rec_playback=`getconfparm "recording_stopplayback"`
        rec_sectionsd=`getconfparm "recording_stopsectionsd"`
        rec_scart=`getconfparm "recording_vcr_no_scart"`
        rec_startmin=`getotherparm "/var/tuxbox/config/timerd.conf" "EXTRA_TIME_START"`
        rec_stopmin=`getotherparm "/var/tuxbox/config/timerd.conf" "EXTRA_TIME_END"`
        rec_spts=`getconfparm "recording_in_spts_mode"`

        rec_dir=`getconfparm "recording_dir_0"`
        rec_filesize=`getconfparm "recording_splitsize"`
        rec_filebuffer=`getconfparm "recordingmenu.ringbuffers"`
        rec_osync=`getconfparm "recordingmenu.use_o_sync"`
        rec_fdatasync=`getconfparm "recordingmenu.use_fdatasync"`
        rec_vtxt=`getconfparm "recordingmenu.stream_vtxt_pid"`
        rec_pmt=`getconfparm "recordingmenu.stream_pmt_pid"`
        rec_dirchange=`getconfparm "recording_choose_direct_rec_dir"`
        rec_longfilename=`getconfparm "recording_epg_for_filename"`
        rec_fnametemplate=`getconfparm "recording_filename_template_0"`
        rec_rechte=`getconfparm "recording_dir_permissions_0"`
        out=`makereturl "$2?rec_type=$rec_type&rec_ip=$rec_ip&rec_port=$rec_port&rec_wakeup=$rec_wakeup&rec_mac=$rec_mac&rec_playback=$rec_playback&rec_sectionsd=$rec_sectionsd&rec_scart=$rec_scart&rec_startmin=$rec_startmin&rec_stopmin=$rec_stopmin&rec_spts=$rec_spts&rec_dir=$rec_dir&rec_filesize=$rec_filesize&rec_filebuffer=$rec_filebuffer&rec_osync=$rec_osync&rec_fdatasync=$rec_fdatasync&rec_vtxt=$rec_vtxt&rec_pmt=$rec_pmt&rec_dirchange=$rec_dirchange&rec_longfilename=$rec_longfilename&rec_fnametemplate=$rec_fnametemplate&rec_rechte=$rec_rechte"`
        echo $out
        exit 0 ;;

      saverecord_glj)
        case "$2" in
          0)    # Aus
            setconfparm "recording_type=0"
            restartneutrino="$3" ;;

          1)    # Server
            setconfparm "recording_type=1"
            setconfparm "recording_server_ip=$3"
            setconfparm "recording_server_port=$4"
            setconfparm "recording_server_wakeup=$5"
            setconfparm "recording_server_mac=$6"
            setconfparm "recording_stopplayback=$7"
            setconfparm "recording_stopsectionsd=$8"
            setconfparm "recording_vcr_no_scart=$9"
            setotherparm "/var/tuxbox/config/timerd.conf" "EXTRA_TIME_START=$10"
            setotherparm "/var/tuxbox/config/timerd.conf" "EXTRA_TIME_END=$11"
            setconfparm "recording_in_spts_mode=$12"
            restartneutrino="$13" ;;
          2)    # Videorec.
            setconfparm "recording_type=2" ;;
          3)    # Datei
            setconfparm "recording_type=3"
            setconfparm "recording_stopplayback=$3"
            setconfparm "recording_stopsectionsd=$4"
            setconfparm "recording_vcr_no_scart=$5"
            setotherparm "/var/tuxbox/config/timerd.conf" "EXTRA_TIME_START=$6"
            setotherparm "/var/tuxbox/config/timerd.conf" "EXTRA_TIME_END=$7"
            setconfparm "recording_in_spts_mode=$8"

            setconfparm "recording_dir_0=$9"
            setconfparm "recording_splitsize=$10"
            setconfparm "recordingmenu.ringbuffers=$11"
            setconfparm "recordingmenu.use_o_sync=$12"
            setconfparm "recordingmenu.use_fdatasync=$13"
            setconfparm "recordingmenu.stream_vtxt_pid=$14"
            setconfparm "recordingmenu.stream_pmt_pid=$15"
            setconfparm "recording_choose_direct_rec_dir=$16"
            setconfparm "recording_epg_for_filename=$17"
            setconfparm "recording_filename_template_0=$18"
            setconfparm "recording_dir_permissions_0=$19"
            restartneutrino="$20" ;;
        esac
        rec_type=`getconfparm "recording_type"`
        rec_ip=`getconfparm "recording_server_ip"`
        rec_port=`getconfparm "recording_server_port"`
        rec_wakeup=`getconfparm "recording_server_wakeup"`
        rec_mac=`getconfparm "recording_server_mac"`
        rec_playback=`getconfparm "recording_stopplayback"`
        rec_sectionsd=`getconfparm "recording_stopsectionsd"`
        rec_scart=`getconfparm "recording_vcr_no_scart"`
        rec_startmin=`getotherparm "/var/tuxbox/config/timerd.conf" "EXTRA_TIME_START"`
        rec_stopmin=`getotherparm "/var/tuxbox/config/timerd.conf" "EXTRA_TIME_END"`
        rec_spts=`getconfparm "recording_in_spts_mode"`

        rec_dir=`getconfparm "recording_dir_0"`
        rec_filesize=`getconfparm "recording_splitsize"`
        rec_filebuffer=`getconfparm "recordingmenu.ringbuffers"`
        rec_osync=`getconfparm "recordingmenu.use_o_sync"`
        rec_fdatasync=`getconfparm "recordingmenu.use_fdatasync"`
        rec_vtxt=`getconfparm "recordingmenu.stream_vtxt_pid"`
        rec_pmt=`getconfparm "recordingmenu.stream_pmt_pid"`
        rec_dirchange=`getconfparm "recording_choose_direct_rec_dir"`
        rec_longfilename=`getconfparm "recording_epg_for_filename"`
        rec_fnametemplate=`getconfparm "recording_filename_template_0"`
        rec_rechte=`getconfparm "recording_dir_permissions_0"`
        out=`makereturl "/GLJ-Aufnahmeoptionen.htm?rec_type=$rec_type&rec_ip=$rec_ip&rec_port=$rec_port&rec_wakeup=$rec_wakeup&rec_mac=$rec_mac&rec_playback=$rec_playback&rec_sectionsd=$rec_sectionsd&rec_scart=$rec_scart&rec_startmin=$rec_startmin&rec_stopmin=$rec_stopmin&rec_spts=$rec_spts&rec_dir=$rec_dir&rec_filesize=$rec_filesize&rec_filebuffer=$rec_filebuffer&rec_osync=$rec_osync&rec_fdatasync=$rec_fdatasync&rec_vtxt=$rec_vtxt&rec_pmt=$rec_pmt&rec_dirchange=$rec_dirchange&rec_longfilename=$rec_longfilename&rec_fnametemplate=$rec_fnametemplate&rec_rechte=$rec_rechte"`
        echo $out
        if [ "$restartneutrino" != "Nur" ]
        then
          restart_neutrino
        fi
        exit 0 ;;

    getjugend_glj)
        pin=`getconfparm "parentallock_prompt"`
        jahre=`getconfparm "parentallock_lockage"`
        pinnummer=`getconfparm "parentallock_pincode"`
        if [ $pin != "0" ]
        then
          if [ $pinnummer != $3 ]
          then
            cat /share/tuxbox/neutrino/httpd/GLJ-JugendschutzAbfrage.htm
            exit 0
          fi
        fi
        out=`makereturl "$2?pin=$pin&jahre=$jahre&pinnummer=$pinnummer"`
        echo $out
        exit 0 ;;

    savejugend_glj)
        oldprompt=`getconfparm "parentallock_prompt"`
        setconfparm "parentallock_prompt=$2"
        setconfparm "parentallock_lockage=$3"
        setconfparm "parentallock_pincode=$4"
        pin=`getconfparm "parentallock_prompt"`
        jahre=`getconfparm "parentallock_lockage"`
        pinnummer=`getconfparm "parentallock_pincode"`
        out=`makereturl "/GLJ-Jugendschutz.htm?pin=$pin&jahre=$jahre&pinnummer=$pinnummer"`
        echo $out
        if [ "$5" != "Nur" ]
        then
          restart_neutrino $oldprompt
        fi
        exit 0 ;;

    getmount0_glj)
        mnttype0=`getconfparm "network_nfs_type_0"`
        mntip0=`getconfparm "network_nfs_ip_0"`
        mntlocal0=`getconfparm "network_nfs_local_dir_0"`
        mntremote0=`getconfparm "network_nfs_dir_0"`
        mnttype1=`getconfparm "network_nfs_type_1"`
        mntip1=`getconfparm "network_nfs_ip_1"`
        mntlocal1=`getconfparm "network_nfs_local_dir_1"`
        mntremote1=`getconfparm "network_nfs_dir_1"`
        mnttype2=`getconfparm "network_nfs_type_2"`
        mntip2=`getconfparm "network_nfs_ip_2"`
        mntlocal2=`getconfparm "network_nfs_local_dir_2"`
        mntremote2=`getconfparm "network_nfs_dir_2"`
        mnttype3=`getconfparm "network_nfs_type_3"`
        mntip3=`getconfparm "network_nfs_ip_3"`
        mntlocal3=`getconfparm "network_nfs_local_dir_3"`
        mntremote3=`getconfparm "network_nfs_dir_3"`
        mnttype4=`getconfparm "network_nfs_type_4"`
        mntip4=`getconfparm "network_nfs_ip_4"`
        mntlocal4=`getconfparm "network_nfs_local_dir_4"`
        mntremote4=`getconfparm "network_nfs_dir_4"`
        mnttype5=`getconfparm "network_nfs_type_5"`
        mntip5=`getconfparm "network_nfs_ip_5"`
        mntlocal5=`getconfparm "network_nfs_local_dir_5"`
        mntremote5=`getconfparm "network_nfs_dir_5"`
        mnttype6=`getconfparm "network_nfs_type_6"`
        mntip6=`getconfparm "network_nfs_ip_6"`
        mntlocal6=`getconfparm "network_nfs_local_dir_6"`
        mntremote6=`getconfparm "network_nfs_dir_6"`
        mnttype7=`getconfparm "network_nfs_type_7"`
        mntip7=`getconfparm "network_nfs_ip_7"`
        mntlocal7=`getconfparm "network_nfs_local_dir_7"`
        mntremote7=`getconfparm "network_nfs_dir_7"`

        out=`makereturl "$2?mnttype0=$mnttype0&mntip0=$mntip0&mntlocal0=$mntlocal0&mntremote0=$mntremote0&mnttype1=$mnttype1&mntip1=$mntip1&mntlocal1=$mntlocal1&mntremote1=$mntremote1&mnttype2=$mnttype2&mntip2=$mntip2&mntlocal2=$mntlocal2&mntremote2=$mntremote2&mnttype3=$mnttype3&mntip3=$mntip3&mntlocal3=$mntlocal3&mntremote3=$mntremote3&mnttype4=$mnttype4&mntip4=$mntip4&mntlocal4=$mntlocal4&mntremote4=$mntremote4&mnttype5=$mnttype5&mntip5=$mntip5&mntlocal5=$mntlocal5&mntremote5=$mntremote5&mnttype6=$mnttype6&mntip6=$mntip6&mntlocal6=$mntlocal6&mntremote6=$mntremote6&mnttype7=$mnttype7&mntip7=$mntip7&mntlocal7=$mntlocal7&mntremote7=$mntremote7"`
        echo $out

        exit 0 ;;

    getmount1_glj)
				if [ "$3" == "Change" ]
				then
        	mnttype=`getconfparm "network_nfs_type_$2"`
        	mntip=`getconfparm "network_nfs_ip_$2"`
        	mntremote=`getconfparm "network_nfs_dir_$2"`
        	mntlocal=`getconfparm "network_nfs_local_dir_$2"`
        	mntmac=`getconfparm "network_nfs_mac_$2"`
        	mntopt1=`getconfparm "network_nfs_mount_options1_$2"`
        	mntopt2=`getconfparm "network_nfs_mount_options2_$2"`
        	mntauto=`getconfparm "network_nfs_automount_$2"`
        	mntuser=`getconfparm "network_nfs_username_$2"`
        	mntpass=`getconfparm "network_nfs_password_$2"`
        	mntcreate="0";
        	if test -d $mntlocal
        	then
        	  mntcreate="1";
        	fi
        	out=`makereturl "/GLJ-Mount.htm?mnttype=$mnttype&mntip=$mntip&mntremote=$mntremote&mntlocal=$mntlocal&mntmac=$mntmac&mntopt1=$mntopt1&mntopt2=$mntopt2&mntauto=$mntauto&mntuser=$mntuser&mntpass=$mntpass&mntnr=$2&mntcreate=$mntcreate"`
				else
        	setconfparm "network_nfs_type_$2=0"
        	setconfparm "network_nfs_ip_$2="
        	setconfparm "network_nfs_dir_$2="
        	setconfparm "network_nfs_local_dir_$2="
        	setconfparm "network_nfs_mac_$2=11:22:33:44:55:66"
        	setconfparm "network_nfs_mount_options1_$2=ro,soft,udp"
        	setconfparm "network_nfs_mount_options2_$2=nolock,rsize=8192,wsize=8192"
        	setconfparm "network_nfs_automount_$2=0"
       	  setconfparm "network_nfs_username_$2="
       	  setconfparm "network_nfs_password_$2="
					out=`cat /share/tuxbox/neutrino/httpd/GLJ_Mountdel.htm`
				fi
        echo $out
        exit 0 ;;

    savemount_glj)
        mntopt1=`echo "$9" | sed -e s/#/=/g`
        mntopt2=`echo "$10" | sed -e s/#/=/g`
        setconfparm "network_nfs_type_$2=$3"
        setconfparm "network_nfs_ip_$2=$4"
        setconfparm "network_nfs_dir_$2=$5"
        setconfparm "network_nfs_local_dir_$2=$6"
        setconfparm "network_nfs_mac_$2=$8"
        setconfparm "network_nfs_mount_options1_$2=$mntopt1"
        setconfparm "network_nfs_mount_options2_$2=$mntopt2"
        setconfparm "network_nfs_automount_$2=$11"
        if [ "$12" != "nicht#angegeben" ]
        then
          setconfparm "network_nfs_username_$2=$12"
        fi
        if [ "$13" != "nicht#angegeben" ]
        then
          setconfparm "network_nfs_password_$2=$13"
        fi
        if [ "$7" = "create1" ]
        then
          mkdir $6
        fi

        mnttype0=`getconfparm "network_nfs_type_0"`
        mntip0=`getconfparm "network_nfs_ip_0"`
        mntlocal0=`getconfparm "network_nfs_local_dir_0"`
        mntremote0=`getconfparm "network_nfs_dir_0"`
        mnttype1=`getconfparm "network_nfs_type_1"`
        mntip1=`getconfparm "network_nfs_ip_1"`
        mntlocal1=`getconfparm "network_nfs_local_dir_1"`
        mntremote1=`getconfparm "network_nfs_dir_1"`
        mnttype2=`getconfparm "network_nfs_type_2"`
        mntip2=`getconfparm "network_nfs_ip_2"`
        mntlocal2=`getconfparm "network_nfs_local_dir_2"`
        mntremote2=`getconfparm "network_nfs_dir_2"`
        mnttype3=`getconfparm "network_nfs_type_3"`
        mntip3=`getconfparm "network_nfs_ip_3"`
        mntlocal3=`getconfparm "network_nfs_local_dir_3"`
        mntremote3=`getconfparm "network_nfs_dir_3"`
        mnttype4=`getconfparm "network_nfs_type_4"`
        mntip4=`getconfparm "network_nfs_ip_4"`
        mntlocal4=`getconfparm "network_nfs_local_dir_4"`
        mntremote4=`getconfparm "network_nfs_dir_4"`
        mnttype5=`getconfparm "network_nfs_type_5"`
        mntip5=`getconfparm "network_nfs_ip_5"`
        mntlocal5=`getconfparm "network_nfs_local_dir_5"`
        mntremote5=`getconfparm "network_nfs_dir_5"`
        mnttype6=`getconfparm "network_nfs_type_6"`
        mntip6=`getconfparm "network_nfs_ip_6"`
        mntlocal6=`getconfparm "network_nfs_local_dir_6"`
        mntremote6=`getconfparm "network_nfs_dir_6"`
        mnttype7=`getconfparm "network_nfs_type_7"`
        mntip7=`getconfparm "network_nfs_ip_7"`
        mntlocal7=`getconfparm "network_nfs_local_dir_7"`
        mntremote7=`getconfparm "network_nfs_dir_7"`

        out=`makereturl "/GLJ-Mountoptionen.htm?mnttype0=$mnttype0&mntip0=$mntip0&mntlocal0=$mntlocal0&mntremote0=$mntremote0&mnttype1=$mnttype1&mntip1=$mntip1&mntlocal1=$mntlocal1&mntremote1=$mntremote1&mnttype2=$mnttype2&mntip2=$mntip2&mntlocal2=$mntlocal2&mntremote2=$mntremote2&mnttype3=$mnttype3&mntip3=$mntip3&mntlocal3=$mntlocal3&mntremote3=$mntremote3&mnttype4=$mnttype4&mntip4=$mntip4&mntlocal4=$mntlocal4&mntremote4=$mntremote4&mnttype5=$mnttype5&mntip5=$mntip5&mntlocal5=$mntlocal5&mntremote5=$mntremote5&mnttype6=$mnttype6&mntip6=$mntip6&mntlocal6=$mntlocal6&mntremote6=$mntremote6&mnttype7=$mnttype7&mntip7=$mntip7&mntlocal7=$mntlocal7&mntremote7=$mntremote7"`
        echo $out

        if [ "$14" != "Nur" ]
        then
          restart_neutrino
        fi

        exit 0 ;;

    read_settings_glj)

        while test -f /tmp/.settings
        do
          echo "Warte bis altes settings geloescht wird..." >$out
          sleep 1
        done
        mkdir /tmp/setrestore
        if [ "$2" = "1" ]
        then
          mkdir -p /tmp/setrestore/var/tuxbox/config
          cp /var/tuxbox/config/neutrino.conf /tmp/setrestore/var/tuxbox/config
          cp /var/tuxbox/config/timerd.conf /tmp/setrestore/var/tuxbox/config
          cp /var/tuxbox/config/nhttpd.conf /tmp/setrestore/var/tuxbox/config
          cp /var/tuxbox/config/controld.conf /tmp/setrestore/var/tuxbox/config
          mkdir -p /tmp/setrestore/var/etc
          cp /var/etc/.neutrino /tmp/setrestore/var/etc
          cp /var/etc/.boot_info /tmp/setrestore/var/etc
          cp /var/etc/.hw_sections /tmp/setrestore/var/etc
          cp /var/etc/.no_watchdog /tmp/setrestore/var/etc
          cp /var/etc/.no_enxwatchdog /tmp/setrestore/var/etc
          cp /var/etc/.pmt_update /tmp/setrestore/var/etc
          cp /var/etc/.wiallaudio /tmp/setrestore/var/etc
          cp /var/etc/.wihighspeed /tmp/setrestore/var/etc
          cp /var/etc/.wikillsd /tmp/setrestore/var/etc
          cp /var/etc/.wiradioext /tmp/setrestore/var/etc
          cp /var/etc/.witvext /tmp/setrestore/var/etc
					cp /var/etc/.automount /tmp/setrestore/var/etc
					cp /var/etc/auto.net /tmp/setrestore/var/etc
					cp /var/etc/.startsamba /tmp/setrestore/var/etc
					cp /var/etc/.info_pid /tmp/setrestore/var/etc
					cp /var/etc/.wipopup /tmp/setrestore/var/etc
        fi
        if [ "$3" = "1" ]
        then
          mkdir -p /tmp/setrestore/share/tuxbox
          cp /share/tuxbox/*.xml /tmp/setrestore/share/tuxbox
#*/
          mkdir -p /tmp/setrestore/var/tuxbox/config/zapit
#*/
          cp /var/tuxbox/config/zapit/* /tmp/setrestore/var/tuxbox/config/zapit
#*/
          mkdir -p /tmp/setrestore/var/tuxbox/config
          cp /var/tuxbox/config/scan.conf /tmp/setrestore/var/tuxbox/config
        fi

        if [ "$4" = "1" ]
        then
          mkdir -p /tmp/setrestore/var/tuxbox/config/tuxmail
          mkdir -p /tmp/setrestore/var/tuxbox/config/tuxcal
          mkdir -p /tmp/setrestore/var/tuxbox/config/tuxnews
          cp /var/tuxbox/config/tuxmail/* /tmp/setrestore/var/tuxbox/config/tuxmail
          cp /var/tuxbox/config/tuxcal/* /tmp/setrestore/var/tuxbox/config/tuxcal
          cp /var/tuxbox/config/tuxnews/* /tmp/setrestore/var/tuxbox/config/tuxnews
#*/
        fi

        if [ "$5" = "1" ]
        then
          mkdir -p /tmp/setrestore/var/tuxbox/boot
          cp /var/tuxbox/boot/logo-lcd /tmp/setrestore/var/tuxbox/boot
          cp /var/tuxbox/boot/logo-fb /tmp/setrestore/var/tuxbox/boot
        fi
        if [ "$6" = "1" ]
        then
          mkdir -p /tmp/setrestore/var/keys
          cp /var/keys/camd3.* /tmp/setrestore/var/keys
        fi

        if [ "$7" = "1" ]
        then
          mkdir -p /tmp/setrestore/var/tuxbox/config
          cp /var/tuxbox/config/tuxdns.conf /tmp/setrestore/var/tuxbox/config
        fi


        cd /tmp
        touch /tmp/setrestore/.johndoe
        tar cvf glj-settings.tar setrestore >/dev/null
        rm -r -f setrestore
        out=`makereturl1 "/tmp/glj-settings.tar" "/GLJ-Setrestore.htm"`
        echo $out
        touch /tmp/.settings
        exit 0 ;;

    set_settings_glj)
        cd /tmp
        pidof shellexec /dev/null && touch /tmp/.offlinepaket && killall shellexec && sleep 1
        [ -e /tmp/glj_update ] && rm -rf /tmp/glj_update
        [ -e /tmp/*tar ] && rm /tmp/*tar
        [ -e /tmp/plugin_auto_upd.sh ] && rm -r /tmp/plugin_auto_upd.sh
	[ -e /tmp/plugin_spiele.sh ] && rm -r /tmp/plugin_spiele.sh
	[ -e /tmp/config.txt ] && rm -r /tmp/config.txt
	[ -e /tmp/.offlinepaket ] && rm -r /tmp/.offlinepaket
	pidof msgbox /dev/null && killall -9 msgbox && sleep 1
        mv upload.tmp glj-settings.tar >/dev/null
				gljcrypt -o /tmp/update/glj-settings.tar glj-settings.tar && [ -e /tmp/update/glj-settings.tar ] && mv /tmp/update/glj-settings.tar /tmp/glj-settings.tar

				tar xvf glj-settings.tar >/dev/null
				if test -f /tmp/gljupdate/.tv_update
				then
					packetname=`cat /tmp/gljupdate/.tv_update`
					rm -rf /tmp/gljupdate
					mv /tmp/glj-settings.tar /tmp/$packetname
		 			touch /tmp/.update; wget -O /dev/null http://localhost/cgi-bin/startPlugin?name=emuoptions.cfg >/dev/null
					cat "/share/tuxbox/neutrino/httpd/GLJ-Updatemld7.htm"
				else
        	if test -f /tmp/gljupdate/update
        	then
        	  if test -f /tmp/gljupdate/.wimoment
        	  then
        	    cat "/share/tuxbox/neutrino/httpd/GLJ-Momupdate.htm"
        	    exit 0
        	  fi
        	  sync
        	  echo `DoUpdate`
        	  sync
        	else
        	  if test -f /tmp/setrestore/.johndoe
        	  then
        	    cd /tmp/setrestore
        	    if test -d /tmp/setrestore/var/etc
        	    then
        	      rm -f /var/etc/.neutrino
        	      rm -f /var/etc/.boot_info
        	      rm -f /var/etc/.hw_sections
        	      rm -f /var/etc/.no_watchdog
        	      rm -f /var/etc/.no_enxwatchdog
        	      rm -f /var/etc/.pmt_update
        	      rm -f /var/etc/.wiallaudio
        	      rm -f /var/etc/.wihighspeed
        	      rm -f /var/etc/.wikillsd
        	      rm -f /var/etc/.wiradioext
        	      rm -f /var/etc/.witvext
								rm -f /var/etc/.automount
								rm -f /var/etc/.startsamba
								rm -f /var/etc/.info_pid
								rm -f /var/etc/.wipopup
        	    fi
							rm -f .johndoe
							tar cvf restore.tar * >/dev/null
							cd /
							tar xvf /tmp/setrestore/restore.tar >/dev/null
        	    cd /tmp
        	    rm -r -f setrestore
        	    rm -f glj-settings.tar
        	    cat "/share/tuxbox/neutrino/httpd/GLJ-Restoreok.htm"
        	  else
        	    rm -f glj-settings.tar
        	    cat "/share/tuxbox/neutrino/httpd/GLJ-Restoreerror.htm"
        	  fi
        	fi
				fi
				exit 0 ;;

    update_glj)
        sync
        echo `DoUpdate`
        sync
        exit 0 ;;

    restartneutrino_glj)
        restart_neutrino
        cat "/share/tuxbox/neutrino/httpd/$2"
        exit 0 ;;

    reloadplugins_glj)
        reload_plugins
        cat "/share/tuxbox/neutrino/httpd/$2"
        exit 0 ;;

    getdiverse_glj)

        shutdown_real=`getconfparm "shutdown_real"`
        shutdown_count=`getconfparm "shutdown_count"`
        infobar_sat_display=`getconfparm "infobar_sat_display"`
        infobar_subchan_disp_pos=`getconfparm "infobar_subchan_disp_pos"`
        tuxtxt_cache=`getconfparm "tuxtxt_cache"`
        virtual_zap_mode=`getconfparm "virtual_zap_mode"`
        repeat_blocker=`getconfparm "repeat_blocker"`
        repeat_genericblocker=`getconfparm "repeat_genericblocker"`
        shutdown_real_rcdelay=`getconfparm "shutdown_real_rcdelay"`
        filesystem_is_utf8=`getconfparm "filesystem_is_utf8"`
        filebrowser_showrights=`getconfparm "filebrowser_showrights"`
        filebrowser_denydirectoryleave=`getconfparm "filebrowser_denydirectoryleave"`
        epg_cache_time=`getconfparm "epg_cache_time"`
        epg_old_events=`getconfparm "epg_old_events"`
        epg_max_events=`getconfparm "epg_max_events"`
        network_ntpenable=`getconfparm "network_ntpenable"`
        network_ntpserver=`getconfparm "network_ntpserver"`
        network_ntprefresh=`getconfparm "network_ntprefresh"`

				out=`makereturl "$2?shutdown_real=$shutdown_real&shutdown_count=$shutdown_count&infobar_sat_display=$infobar_sat_display&infobar_subchan_disp_pos=$infobar_subchan_disp_pos&tuxtxt_cache=$tuxtxt_cache&repeat_blocker=$repeat_blocker&repeat_genericblocker=$repeat_genericblocker&shutdown_real_rcdelay=$shutdown_real_rcdelay&filesystem_is_utf8=$filesystem_is_utf8&filebrowser_showrights=$filebrowser_showrights&filebrowser_denydirectoryleave=$filebrowser_denydirectoryleave&epg_cache_time=$epg_cache_time&epg_old_events=$epg_old_events&epg_max_events=$epg_max_events&network_ntpenable=$network_ntpenable&network_ntpserver=$network_ntpserver&network_ntprefresh=$network_ntprefresh"`
        echo $out
        exit 0 ;;

    setdiverse_glj)

        setconfparm "shutdown_real=$2"
        setconfparm "shutdown_count=$3"
        setconfparm "infobar_sat_display=$4"
        setconfparm "infobar_subchan_disp_pos=$5"
        setconfparm "tuxtxt_cache=$6"
        setconfparm "virtual_zap_mode=$7"
        setconfparm "repeat_blocker=$8"
        setconfparm "repeat_genericblocker=$9"
        setconfparm "shutdown_real_rcdelay=$10"
        setconfparm "filesystem_is_utf8=$11"
        setconfparm "filebrowser_showrights=$12"
        setconfparm "filebrowser_denydirectoryleave=$13"
        setconfparm "epg_cache_time=$14"
        setconfparm "epg_old_events=$15"
        setconfparm "epg_max_events=$16"
        setconfparm "network_ntpenable=$17"
        setconfparm "network_ntpserver=$18"
        setconfparm "network_ntprefresh=$19"


        shutdown_real=`getconfparm "shutdown_real"`
        shutdown_count=`getconfparm "shutdown_count"`
        infobar_sat_display=`getconfparm "infobar_sat_display"`
        infobar_subchan_disp_pos=`getconfparm "infobar_subchan_disp_pos"`
        tuxtxt_cache=`getconfparm "tuxtxt_cache"`
        virtual_zap_mode=`getconfparm "virtual_zap_mode"`
        repeat_blocker=`getconfparm "repeat_blocker"`
        repeat_genericblocker=`getconfparm "repeat_genericblocker"`
        shutdown_real_rcdelay=`getconfparm "shutdown_real_rcdelay"`
        filesystem_is_utf8=`getconfparm "filesystem_is_utf8"`
        filebrowser_showrights=`getconfparm "filebrowser_showrights"`
        filebrowser_denydirectoryleave=`getconfparm "filebrowser_denydirectoryleave"`
        epg_cache_time=`getconfparm "epg_cache_time"`
        epg_old_events=`getconfparm "epg_old_events"`
        epg_max_events=`getconfparm "epg_max_events"`
        network_ntpenable=`getconfparm "network_ntpenable"`
        network_ntpserver=`getconfparm "network_ntpserver"`
        network_ntprefresh=`getconfparm "network_ntprefresh"`

        out=`makereturl "/GLJ-Diverse.htm?shutdown_real=$shutdown_real&shutdown_count=$shutdown_count&infobar_sat_display=$infobar_sat_display&infobar_subchan_disp_pos=$infobar_subchan_disp_pos&tuxtxt_cache=$tuxtxt_cache&repeat_blocker=$repeat_blocker&repeat_genericblocker=$repeat_genericblocker&shutdown_real_rcdelay=$shutdown_real_rcdelay&filesystem_is_utf8=$filesystem_is_utf8&filebrowser_showrights=$filebrowser_showrights&filebrowser_denydirectoryleave=$filebrowser_denydirectoryleave&epg_cache_time=$epg_cache_time&epg_old_events=$epg_old_events&epg_max_events=$epg_max_events&network_ntpenable=$network_ntpenable&network_ntpserver=$network_ntpserver&network_ntprefresh=$network_ntprefresh"`
        echo $out
        if [ "$20" != "Nur" ]
        then
          restart_neutrino
        fi
        exit 0 ;;

    getwi_glj)
        wi_killsd=`cat /var/etc/.wikillsd`
				wi_popup=`getnrmparm ".wipopup"`
        wi_hstv=`getnrmparm ".wihighspeed"`
        wiallaudio=`getnrmparm ".wiallaudio"`
        witvext=`cat /var/etc/.witvext`
        wiradioext=`cat /var/etc/.wiradioext`
				wilcdcolor=`cat /share/tuxbox/neutrino/httpd/.lcdcolor`
				wilcdspeed=`cat /var/etc/.wilcdspeed`
        out=`makereturl "$2?wi_killsd=$wi_killsd&wi_popup=$wi_popup&wi_hstv=$wi_hstv&witvext=$witvext&wiradioext=$wiradioext&virtual_zap_mode=$virtual_zap_mode&wiallaudio=$wiallaudio&wilcdcolor=$wilcdcolor&wilcdspeed=$wilcdspeed"`
        echo $out
        exit 0 ;;

    setwi_glj)
        echo "$2" >/var/etc/.wikillsd
        setdivoption "$3" ".wipopup"
        setdivoption "$4" ".wihighspeed"
        setdivoption "$5" ".wiallaudio"
        echo $6 >/var/etc/.witvext
        echo $7 >/var/etc/.wiradioext
        echo $8 >/share/tuxbox/neutrino/httpd/.lcdcolor
				echo $9 >/var/etc/.wilcdspeed

        wi_killsd=`cat /var/etc/.wikillsd`
				wi_popup=`getnrmparm ".wipopup"`
        wi_hstv=`getnrmparm ".wihighspeed"`
        wiallaudio=`getnrmparm ".wiallaudio"`
        witvext=`cat /var/etc/.witvext`
        wiradioext=`cat /var/etc/.wiradioext`
				wilcdcolor=`cat /share/tuxbox/neutrino/httpd/.lcdcolor`
				wilcdspeed=`cat /var/etc/.wilcdspeed`
        out=`makereturl "/GLJ-Wi.htm?wi_killsd=$wi_killsd&wi_popup=$wi_popup&wi_hstv=$wi_hstv&witvext=$witvext&wiradioext=$wiradioext&virtual_zap_mode=$virtual_zap_mode&wiallaudio=$wiallaudio&wilcdcolor=$wilcdcolor&wilcdspeed=$wilcdspeed"`
        echo $out
        exit 0 ;;

    getfb_glj)
        fb_type="0"
        if test -f /var/etc/.oldrc; then fb_type="1"; fi
        if test -f /var/etc/.newrc; then fb_type="2"; fi
        if test -f /var/etc/.rc_philips; then fb_type="3"; fi
        out=`makereturl "$2?fb_type=$fb_type"`
        echo $out
        exit 0 ;;

    setfb_glj)
        rm -f /var/etc/.oldrc
        rm -f /var/etc/.newrc
        rm -f /var/etc/.rc_philips
        if [ "$2" = "1" ]; then touch /var/etc/.oldrc; fi
        if [ "$2" = "2" ]; then touch /var/etc/.newrc; fi
        if [ "$2" = "3" ]; then touch /var/etc/.rc_philips; fi
        newfb="$2"
        if [ "$newfb" = "2" ]
        then
          newfb="1"
        else
          if [ "$newfb" = "1" ]; then newfb="2"; fi
        fi
        setconfparm "fb_choice=$newfb"

        fb_type="0"
        if test -f /var/etc/.oldrc; then fb_type="1"; fi
        if test -f /var/etc/.newrc; then fb_type="2"; fi
        if test -f /var/etc/.rc_philips; then fb_type="3"; fi
        out=`makereturl "/GLJ-bootoptionen3.htm?fb_type=$fb_type"`
        echo $out

        if [ "$3" != "Nur" ]
        then
          restart_neutrino
        fi
        exit 0 ;;

    getflash_glj)
        cat /share/tuxbox/neutrino/httpd/GLJ-Flash1.htm
        makeflashpage
        cat /share/tuxbox/neutrino/httpd/GLJ-Flash2.htm
        exit 0 ;;

    read_flash_glj)
        while test -f /tmp/.flashfile
        do
          echo "Warte bis altes Image geloescht wird..." >$out
          sleep 1
        done
        rm -f /tmp/flash.img
        cat /dev/mtd/$2 >/tmp/flash_part$2.img
        echo `cat /share/tuxbox/neutrino/httpd/GLJ-Flash1.htm` >/tmp/GLJ-Flash.htm
        echo `makeflashpage` >>/tmp/GLJ-Flash.htm
        echo `cat /share/tuxbox/neutrino/httpd/GLJ-Flash2.htm` >>/tmp/GLJ-Flash.htm
        touch /tmp/.flashfile
        out=`makereturl1 "/tmp/flash_part$2.img" "/tmp/GLJ-Flash.htm"`
        echo $out
        exit 0 ;;

    storeimage_glj)
        mv /tmp/upload.tmp /tmp/flash.img >/dev/null
				size1=`ls -la /tmp/flash.img | sed -e 's/ [ ]*/ /g' | cut -d ' ' -f 5`
				if [ $size1 -eq 8257536 ]
				then
        	cat /share/tuxbox/neutrino/httpd/GLJ-Flashup1.htm
				else
        	cat /share/tuxbox/neutrino/httpd/GLJ-Flashup.htm
				fi
        exit 0 ;;

    getradiotv_glj)
        pm=`wget -O - -q http://127.0.0.1/control/getmode | grep "tv"`
        if [ "$pm" = "" ]
        then
          cat /share/tuxbox/neutrino/httpd/GLJ-T52.htm
        else
          cat /share/tuxbox/neutrino/httpd/GLJ-T51.htm
        fi
        exit 0 ;;
		getamlist_glj)
				cat /share/tuxbox/neutrino/httpd/GLJ-Amountoptionen1.htm
				i="1"
				sel="checked='checked'"
				cat /etc/auto.net|sed -n /-fstype/p|\
				while read mountname options share
				do
					mountvalue=`echo "$mountname" | sed -e "s/#/---/g"`
					echo "<input type='radio' name='R1' value='$mountvalue' $sel/>$i: $mountname ($share)<br/>"
					sel=""
					i=`expr $i + 1`
				done
				cat /share/tuxbox/neutrino/httpd/GLJ-Amountoptionen2.htm
				exit 0 ;;

		getamount_glj)
				if [ "$4" = "remove" ]
				then
					afile="/etc/auto.net"
					tmpfile="/tmp/wi.auto.net"
					cp $afile $tmpfile
					filename=$tmpfile
					mountname=`echo "$2" | sed -e "s;---;#;g"`
					mountset=""
					tmp=`cat "$filename"|sed -e "s;^$mountname[^a-zA-Z0-9].*$;$mountset;g"`
					echo "$tmp" >$filename
					cp $tmpfile $afile
					cat /share/tuxbox/neutrino/httpd/GLJ-Amountoptionen1.htm
					i="1"
					sel="checked='checked'"
					cat /etc/auto.net|sed -n /-fstype/p|\
					while read mountname options share
					do
						mountvalue=`echo "$mountname" | sed -e "s/#/---/g"`
						echo "<input type='radio' name='R1' value='$mountvalue' $sel/>$i: $mountname ($share)<br/>"
						sel=""
						i=`expr $i + 1`
					done
					cat /share/tuxbox/neutrino/httpd/GLJ-Amountoptionen2.htm
					exit 0
				fi
				if [ "$4" = "Neu" ] || [ "$4" = "add" ]
				then
					out=`makereturl "/GLJ-Automount.htm?mntname=&mntopt=&mntip=&mntremote=&edittype=add"`
    			echo $out
					exit 0
				fi
				mnt=`echo "$2" | sed -e "s/---/#/g"`
				cat /etc/auto.net|sed -n /-fstype/p|\
				while read mountname optionen share
				do
					if [ "$mnt" = "$mountname" ]
					then
						opt=`echo $optionen | sed -e "s/-fstype=//g"`
						mntip=`echo $share | cut -f 1 -d":"`
						remote=`echo $share | cut -f 2 -d":"`
						out=`makereturl "/$3?mntname=$mountname&mntopt=$opt&mntip=$mntip&mntremote=$remote&edittype=$4"`
    			  echo $out
						break
					fi
				done
				exit 0 ;;


		saveamount_glj)
				mntopt=`echo "$5" | sed -e s/#/=/g`
				if [ "$6" = "add" ]
				then
					newmnt=$2" -fstype="$mntopt" "$3":"$4
					echo "$newmnt" >>/etc/auto.net
				fi
				if [ "$6" = "edit" ]
				then
					afile="/etc/auto.net"
					tmpfile="/tmp/wi.auto.net"
					cp $afile $tmpfile
					filename=$tmpfile
					mountname=`echo "$2" | sed -e "s;---;;g"`
					mountset=$2" -fstype="$mntopt" "$3":"$4
					tmp=`cat "$filename"|sed -e "s;^$mountname[^a-zA-Z0-9].*$;$mountset;g"`
					echo "$tmp" >$filename
					cp $tmpfile $afile
				fi
				cat /share/tuxbox/neutrino/httpd/GLJ-Amountoptionen1.htm
				i="1"
				sel="checked='checked'"
				cat /etc/auto.net|sed -n /-fstype/p|\
				while read mountname options share
				do
					mountvalue=`echo "$mountname" | sed -e "s/#/---/g"`
					echo "<input type='radio' name='R1' value='$mountvalue' $sel/>$i: $mountname ($share)<br/>"
					sel=""
					i=`expr $i + 1`
				done
				cat /share/tuxbox/neutrino/httpd/GLJ-Amountoptionen2.htm
				exit 0 ;;

		glj_plugins)
				inet=`CheckInternet`
				if [ "$inet" != "" ]
				then
					updateurl
					wget -O /tmp/epg.new -q "$redir3"
					xsleep 50000
					SIZE=`ls -als /tmp/epg.new | cut -f 3 -d 't' | sed -e 's/ [a-z,A-Z].*//g'`
					SIZE=`echo $SIZE`
					[ "$SIZE" = "0" ] && echo "src=\"$ERSATZ2\"" >/tmp/epg.new
					url=`parsurl | cut -f 3 -d"/"`
					rm -f /tmp/epg.tmp /tmp/epg.new
					fill=`df -h | sed -n 2'p' | cut -f 4 -d"M" | cut -f 3 -d" " | cut -f 1 -d"%"`
					if [ "$fill" == "" ]
					then
						fill=`df -h | sed -n 2'p' | cut -f 3 -d"M" | cut -f 2 -d"k" | cut -f 3 -d" " | cut -f 1 -d"%"`
					fi
					if [ "$fill" == "" ]
					then
					  fill=`df -h | sed -n 2'p' | cut -f 4 -d"G" | cut -f 3 -d" " | cut -f 1 -d"%"`
					fi
					datafile="plugins_dbox.txt"
					wget -O /tmp/getplugins.sh -q "http://$url/getplugins.sh"
					wget -O /tmp/getgames.sh -q "http://$url/getgames.sh"
					url="http://$url/plugins_dbox.php"
					chmod 755 /tmp/getplugins.sh
					chmod 755 /tmp/getgames.sh
					plugins=`/tmp/getplugins.sh`
					games=`/tmp/getgames.sh`
					rm -f /tmp/getplugins.sh
					rm -f /tmp/getgames.sh
					wget -O /tmp/plugins.htm -q "$url?fname=$datafile&fill=$fill&plugins=$plugins&games=$games&type=new"
					cat /tmp/plugins.htm
					touch /tmp/.rmpluginhtm
				else
					cat /share/tuxbox/neutrino/httpd/GLJ-Plugins_2.htm
				fi
				exit 0 ;;

		glj_plugin_inst)
				wget -O /tmp/plugin.tar -q "$2"
				cd /tmp
				tar xvf /tmp/plugin.tar >/dev/null
				rm -f /tmp/plugin.tar
				chmod 755 /tmp/gljupdate/update
				cd /tmp/gljupdate
				GotoMenu
				/tmp/gljupdate/update >$out
				[ -e /tmp/.killshellexec ] && rm /tmp/.killshellexec
				[ -e /tmp/.reloadplg ] && rm /tmp/.reloadplg
				rm -r -f /tmp/gljupdate
				cat /share/tuxbox/neutrino/httpd/GLJ-Pluginemld1.htm


				exit 0 ;;

		glj_plugins_reload)
				reload_plugins
				inet=`CheckInternet`
				if [ "$inet" != "" ]
				then
					updateurl
					wget -O /tmp/epg.new -q "$redir3"
					xsleep 50000
					SIZE=`ls -als /tmp/epg.new | cut -f 3 -d 't' | sed -e 's/ [a-z,A-Z].*//g'`
					SIZE=`echo $SIZE`
					[ "$SIZE" = "0" ] && echo "src=\"$ERSATZ2\"" >/tmp/epg.new
					url=`parsurl | cut -f 3 -d"/"`
					rm -f /tmp/epg.tmp /tmp/epg.new
					fill=`df -h | sed -n 2'p' | cut -f 4 -d"M" | cut -f 3 -d" " | cut -f 1 -d"%"`
					if [ "$fill" == "" ]
					then
						fill=`df -h | sed -n 2'p' | cut -f 3 -d"M" | cut -f 2 -d"k" | cut -f 3 -d" " | cut -f 1 -d"%"`
					fi
					if [ "$fill" == "" ]
					then
					  fill=`df -h | sed -n 2'p' | cut -f 4 -d"G" | cut -f 3 -d" " | cut -f 1 -d"%"`
					fi
					datafile="plugins_dbox.txt"
					wget -O /tmp/getplugins.sh -q "http://$url/getplugins.sh"
					wget -O /tmp/getgames.sh -q "http://$url/getgames.sh"
					url="http://$url/plugins_dbox.php"
					chmod 755 /tmp/getplugins.sh
					chmod 755 /tmp/getgames.sh
					plugins=`/tmp/getplugins.sh`
					games=`/tmp/getgames.sh`
					rm -f /tmp/getplugins.sh
					rm -f /tmp/getgames.sh
					wget -O /tmp/plugins.htm -q "$url?fname=$datafile&fill=$fill&plugins=$plugins&games=$games&type=new"
					cat /tmp/plugins.htm
					touch /tmp/.rmpluginhtm
				else
					cat /share/tuxbox/neutrino/httpd/GLJ-Plugins_2.htm
				fi
				exit 0 ;;

		glj_sambasrv)
				setsambabutton
				workgroup=`getotherparm "/etc/smb.conf" "workgroup"`
				netbios=`cat /etc/smb.conf | grep netbios | cut -d ' ' -f 4`
				samba="3"
				if test -f /bin/smbd || test -f /mmc/image/bin/smbd || test -f /hdd/image/bin/smbd
				then
					samba=`getnrmparm ".startsamba"`
				fi
				out=`makereturl "$2?samba=$samba&workgroup=$workgroup&netbios=$netbios"`
        echo $out
				exit 0 ;;

		glj_samba_start_stop)
				localIP=`ifconfig eth0|sed -n '/inet addr/p'|sed -e 's/^.*inet addr://g' -e 's/ .*//g'`
				/sbin/glj_save -s /etc/smb.conf "interfaces=$localIP/24"
				plist=`ps aux`
				stat=`echo "$plist" | grep smbd`
				if test -f /bin/smbd || test -f /mmc/image/bin/smbd || test -f /hdd/image/bin/smbd
				then
					if [ "$stat" = "" ]
					then
						smbpath="/bin"
						if test -f /mmc/image/bin/smbd
						then
							smbpath="/mmc/image/bin"
						fi
						if test -f /hdd/image/bin/smbd
						then
							smbpath="/hdd/image/bin"
					  fi
						echo "$smbpath/smbd -D &" >/tmp/wistartcmd
						echo "$smbpath/nmbd -D &" >>/tmp/wistartcmd
						chmod 755 /tmp/wistartcmd
						touch /tmp/.wistart_samba
						while [ 1 ]
						do
							if test -f /tmp/.wistart_samba_ok
							then
								break
							fi
						done
					else
						killall -9 smbd
						killall -9 nmbd
						sleep 2
					fi
				else
					ln -s /share/tuxbox/neutrino/httpd/images/samba_na.gif /share/tuxbox/neutrino/httpd/images/samba.gif
				fi
				rm -f /tmp/.wistart_samba_ok
				rm -f /tmp/.wistartcmd
				setsambabutton
				workgroup=`getotherparm "/etc/smb.conf" "workgroup"`
				netbios=`cat /etc/smb.conf | grep netbios | cut -d ' ' -f 4`
				samba="3"
				if test -f /bin/smbd || test -f /mmc/image/bin/smbd || test -f /hdd/image/bin/smbd
				then
					samba=`getnrmparm ".startsamba"`
				fi
				out=`makereturl "$2?samba=$samba&workgroup=$workgroup&netbios=$netbios"`
        echo $out
				exit 0 ;;

		glj_sambaserver_save)
				setbootoption $2 ".startsamba"
				setotherparm "/etc/smb.conf" "workgroup=$3"
				oldname=`cat /etc/smb.conf | grep netbios | cut -d ' ' -f 4`
				smbconf=`cat /etc/smb.conf | sed "s/netbios name = $oldname/netbios name = $4/g;"`
				rm -f /etc/smb.conf
				echo "$smbconf" >/etc/smb.conf
				setsambabutton
				workgroup=`getotherparm "/etc/smb.conf" "workgroup"`
				netbios=`cat /etc/smb.conf | grep netbios | cut -d ' ' -f 4`
				samba="3"
				if test -f /bin/smbd || test -f /mmc/image/bin/smbd || test -f /hdd/image/bin/smbd
				then
					samba=`getnrmparm ".startsamba"`
				fi
				out=`makereturl "/GLJ-Sambaserver.htm?samba=$samba&workgroup=$workgroup&netbios=$netbios"`
        echo $out
				exit 0 ;;

		glj_unlockdbox)
				echo "Kill alle Streams...." >$out
				proc=`ps aux`
				check=`echo "$proc" | grep udpstreamts`
				if [ "$check" != ""  ]
				then
					killall -9 udpstreamts
				fi
				check=`echo "$proc" | grep streamts`
				if [ "$check" != ""  ]
				then
					killall -9 streamts
				fi
				check=`echo "$proc" | grep streampes`
				if [ "$check" != ""  ]
				then
					killall -9 streampes
				fi
				exit 0 ;;

		glj_emus)
				inet=`CheckInternet`
				if [ "$inet" != "" ]
				then
					updateurl
					wget -O /tmp/epg.new -q "$redir2"
					xsleep 50000
					SIZE=`ls -als /tmp/epg.new | cut -f 3 -d 't' | sed -e 's/ [a-z,A-Z].*//g'`
					SIZE=`echo $SIZE`
					[ "$SIZE" = "0" ] && echo "src=\"$ERSATZ1\"" >/tmp/epg.new
					url=`parsurl`
					rm -f /tmp/epg.tmp /tmp/epg.new
					fill=`df -h | sed -n 2'p' | cut -f 4 -d"M" | cut -f 3 -d" " | cut -f 1 -d"%"`
					if [ "$fill" == "" ]
					then
						fill=`df -h | sed -n 2'p' | cut -f 3 -d"M" | cut -f 2 -d"k" | cut -f 3 -d" " | cut -f 1 -d"%"`
					fi
					if [ "$fill" == "" ]
					then
					  fill=`df -h | sed -n 2'p' | cut -f 4 -d"G" | cut -f 3 -d" " | cut -f 1 -d"%"`
					fi
					datafile="update.txt"
					wget -O /tmp/getemus.sh -q $url"getemus.sh"
					url1=`echo "$url" | sed "s/\//~jd~/g;"`
					url=$url"emus_dbox.php"
					chmod 755 /tmp/getemus.sh
					emus=`/tmp/getemus.sh`
					rm -f /tmp/getemus.sh
					wget -O /tmp/emus.htm -q "$url?fname=$datafile&fill=$fill&emus=$emus"
					cat /tmp/emus.htm | sed "s/GLJURLjd/$url1/g;" | sed "s/~jd~/\//g;"
					touch /tmp/.rmemuhtm
				else
					cat /share/tuxbox/neutrino/httpd/GLJ-Plugins_2.htm
				fi
				exit 0 ;;

		glj_emu_inst)
				wget -O /tmp/plugin.tar -q "$2"
				GotoMenu
				touch /tmp/.wionline
				cd /tmp
				tar xvf /tmp/plugin.tar >/dev/null
				loadplugins=0
				[ -e /tmp/gljupdate/.wiemuload ] && loadplugins=1
				rm -f /tmp/plugin.tar
				chmod 755 /tmp/gljupdate/update
				cd /tmp/gljupdate
				/tmp/gljupdate/update >$out
				[ -e /tmp/.killshellexec ] && rm /tmp/.killshellexec
				[ -e /tmp/.reloadplg ] && rm /tmp/.reloadplg
				rm -r -f /tmp/gljupdate
				while [ -e /tmp/.wi ]
				do
					echo "Warte auf das ende des updates......" >$out
					sleep 2
				done
				rm -f /tmp/.wionline
				nfonr="1"
  			[ -e /tmp/.wiupdateinfo ] && nfonr=`cat /tmp/.wiupdateinfo`
  			rm -f /tmp/.wiupdateinfo
				if ( [ $nfonr != "1" ] && [ $nfonr != "6" ] )
  			then
  			  cat "/share/tuxbox/neutrino/httpd/GLJ-Updatemld$nfonr.htm"
  			else
					if [ "$loadplugins" == "1" ]
					then
						cat /share/tuxbox/neutrino/httpd/GLJ-Emuweiterleitung1.htm
					else
						cat /share/tuxbox/neutrino/httpd/GLJ-Emuweiterleitung.htm
					fi
  			fi
				exit 0 ;;

		glj_emus_reload)
				reload_plugins
				inet=`CheckInternet`
				if [ "$inet" != "" ]
				then
					updateurl
					wget -O /tmp/epg.new -q "$redir2"
					xsleep 50000
					SIZE=`ls -als /tmp/epg.new | cut -f 3 -d 't' | sed -e 's/ [a-z,A-Z].*//g'`
					SIZE=`echo $SIZE`
					[ "$SIZE" = "0" ] && echo "src=\"$ERSATZ1\"" >/tmp/epg.new
					url=`parsurl`
					rm -f /tmp/epg.tmp /tmp/epg.new
					fill=`df -h | sed -n 2'p' | cut -f 4 -d"M" | cut -f 3 -d" " | cut -f 1 -d"%"`
					if [ "$fill" == "" ]
					then
						fill=`df -h | sed -n 2'p' | cut -f 3 -d"M" | cut -f 2 -d"k" | cut -f 3 -d" " | cut -f 1 -d"%"`
					fi
					if [ "$fill" == "" ]
					then
					  fill=`df -h | sed -n 2'p' | cut -f 4 -d"G" | cut -f 3 -d" " | cut -f 1 -d"%"`
					fi
					datafile="update.txt"
					wget -O /tmp/getemus.sh -q $url"getemus.sh"
					url1=`echo "$url" | sed "s/\//~jd~/g;"`
					url=$url"emus_dbox.php"
					chmod 755 /tmp/getemus.sh
					emus=`/tmp/getemus.sh`
					rm -f /tmp/getemus.sh
					wget -O /tmp/emus.htm -q "$url?fname=$datafile&fill=$fill&emus=$emus"
					cat /tmp/emus.htm | sed "s/GLJURLjd/$url1/g;" | sed "s/~jd~/\//g;"
					touch /tmp/.rmemuhtm
				else
					cat /share/tuxbox/neutrino/httpd/GLJ-Plugins_2.htm
				fi
				exit 0 ;;

		glj_getradiologo)
				wget -O /tmp/epg.new -q "$redir1"
				xsleep 50000
				SIZE=`ls -als /tmp/epg.new | cut -f 3 -d 't' | sed -e 's/ [a-z,A-Z].*//g'`
				SIZE=`echo $SIZE`
				[ "$SIZE" = "0" ] && echo "src=\"$ERSATZ\"" >/tmp/epg.new
				url=`parsurl | cut -f 3 -d"/"`
				rm -f /tmp/epg.tmp /tmp/epg.new
				wget -O /tmp/radiomode.tar.gz -q "http://"$url"/forum/glj/dboxfiles/radiomode.tar.gz"
				exit 0 ;;

		glj_getscanlogo)
				wget -O /tmp/epg.new -q "$redir1"
				xsleep 50000
				SIZE=`ls -als /tmp/epg.new | cut -f 3 -d 't' | sed -e 's/ [a-z,A-Z].*//g'`
				SIZE=`echo $SIZE`
				[ "$SIZE" = "0" ] && echo "src=\"$ERSATZ\"" >/tmp/epg.new
				url=`parsurl | cut -f 3 -d"/"`
				rm -f /tmp/epg.tmp /tmp/epg.new
				wget -O /tmp/scan.tar.gz -q "http://"$url"/forum/glj/dboxfiles/scan.tar.gz"
				exit 0 ;;

		glj_checkinternet)
				rm -f /tmp/.internetok
				inet=`CheckInternet`
				if [ "$inet" != "" ]
				then
					touch /tmp/.internetok
				fi
				exit 0 ;;

		glj_getlcd)
				echo "1: $1\n" >/dev/console
				echo "2: $2\n" >/dev/console
				echo "3: $3\n" >/dev/console
				echo "4: $4\n" >/dev/console
				#### hier eventuell mit random arbeiten und rm /tmp/lcd*.png
				rm -f /tmp/lcd*.png >/dev/null
				fname="/tmp/lcd$3.png"
				lcshot -u "$fname" >/dev/null
				echo "&picnumber=$3&fake=1"
				exit 0 ;;

		glj_testlcd)
				#cat /tmp/xxx.xxx
				dd if=/tmp/xxx.xxx bs=23588 count=1
				exit 0 ;;

		glj_flashimage)
				wget -O - -q http://127.0.0.1/control/rc?lock >/dev/null
				rcsim KEY_OK >/dev/null
				sleep 1
				touch /tmp/.wiflashing
				touch /tmp/.gljflashimage
				if [ -e /var/etc/.httpd_mmc -o -e /var/etc/.httpd_ide ]
				then
					cat /share/tuxbox/neutrino/httpd/GLJ-FlashIDE.htm
				else
					cat /share/tuxbox/neutrino/httpd/GLJ-Flash.htm
				fi

		esac
    exit;
